# Dynamic Campaign Tools (DCT)

Mission scripting framework for persistent DCS missions.

Provide a set of tools to allow mission designers to easily create scenarios
for persistent dynamic campaigns within the Digital Combat Simulator (DCS)
game world.

## Description

**D**ynamic **C**ampaign **T**ools relies on content that can be built
directly in the mission editor, these individuals need little to no
programming skills to provide content to a DCT enabled mission.

Scenarios are created through a theater definition consisting of templates,
created in the Mission Editor and configuration files. There is an initial
learning curve but it is no more difficult than initially learning the DCS
Mission Editor.

## Installation

See installation instructions in the [Administrators' guide](doc/02-administrators.md).

## Contribution Guide

Contributions can be made with a standard github pull request. Code is
licensed under LGPLv3 and contributions must be licenced under the same.
For any issues or feature requests please use the issue tracker and file
a new issue. Please make sure to provide as much detail about the problem
or feature as possible. New development is done in feature branches which
are eventually merged into master, base your features and fixes off master.

## Contact Us

You can join the VMFA-169 discord (https://discord.gg/6z8uERVW5Y) if you
would like to discuss DCT topics. The channel is
`#dynamic-campaign-tools-discussion`.

This branch is maintained by kukiric#5535 on Discord for Hoggit's Syria
at War server.
